Bug 489344 - ConsoleKit doesn't know about vncserver sessions
ConsoleKit doesn't know about vncserver sessions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
: 523336 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 12:02 EDT by Tim Waugh
Modified: 2014-03-16 23:17 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:58:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager.log (4.44 KB, text/plain)
2009-03-09 12:02 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2009-03-09 12:02:36 EDT
Created attachment 334550 [details]
virt-manager.log

Description of problem:
With virt-manager-0.6.1-1.fc10 the connection to the virt host is opened read-only, but with 0.6.0 it would (ask for a password and) connect read-write.

I'm running it in a VNC session started by the vncserver service.

Version-Release number of selected component (if applicable):
virt-manager-0.6.1-1.fc10

How reproducible:
100%
Comment 1 Cole Robinson 2009-03-09 12:08:31 EDT
Few questions:

- Are you running as a regular user or root?
- If regular user, in previous versions of virt-manager, were you choosing
  'Run Unprivileged' or entering root passwd when the console helper dialog
  launched at app startup?
- Have you always run over VNC? If not, does the old version over VNC work?

Thanks
Comment 2 Daniel Berrange 2009-03-09 12:14:38 EDT
The problem will be that 'vncserver' doesn't integrate well with desktop services. In particular ConsoleKit can't see any sessions running under the vncserver, and thus PolicyKit authentication won't work, and thus virt-manager will only be able to open a read-only connection.

There's not much we can do about this in virt-manager - vncserver is just not sufficiently functional as a desktop environment. Instead of vncserver, I'd recommend enabling 'vino' in your regular X session, so when logging in via GDM all the session stuff gets setup correctly & you can remotely access it.
Comment 3 Tim Waugh 2009-03-09 13:13:25 EDT
There is no regular X session; vncserver is it.

Yes, the old version works in a VNC session, and asks for the root password.
Comment 4 Mark McLoughlin 2009-03-25 13:46:59 EDT
The old version worked because it used consolehelper, I guess

Moving to ConsoleKit - unless there is a generic way for ConsoleKit/PolicyKit to work with vncserver sessions, I guess this is a WONTFIX
Comment 5 Fedora Admin XMLRPC Client 2009-04-08 13:00:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Tim Waugh 2009-09-15 06:27:15 EDT
*** Bug 523336 has been marked as a duplicate of this bug. ***
Comment 7 Orion Poplawski 2009-10-19 11:40:21 EDT
Any chance of this getting addressed?
Comment 8 Bug Zapper 2009-11-18 06:18:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 03:58:53 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 John Drinkwater 2010-09-29 16:06:01 EDT
Fedora 13:
Iā€™m getting these problems related to ConsoleKit on vncserver, I cant run a regular X (so comment 2 is out of luck) sessions because the server is headless and with nv driver, X wont start without a monitor attached.

Some older preference applications correctly ask for passwords, some dont ask then fail when you try to do something (pressing apply in add/remove software), and some error with policy kit warnings (firewall).

Its, er, messy.

Note You need to log in before you can comment on or make changes to this bug.